JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.esims.selector();
console.log(response.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.esims.selector()
print(response.items)curl --request GET \
--url https://api.mobilerun.ai/v1/numbers/esims/selector \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"carrierName": "<string>",
"iccid": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"msisdn": "<string>",
"name": "<string>",
"source": "stocked",
"status": "in_stock"
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 2,
"pageSize": 2,
"pages": 1,
"total": 1
}
}{
"message": "<string>",
"reason": "out_of_stock",
"success": false
}Esims
Compact owner-scoped eSIM list for a filter/selector UI
Returns a lightweight list (id, msisdn, carrierName, status, masked iccid) for use in a message filter dropdown. Unlike GET /esims, this includes all statuses, including retired eSIMs.
GET
/
numbers
/
esims
/
selector
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.esims.selector();
console.log(response.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.esims.selector()
print(response.items)Authorizations
Bearer token via Authorization header
Was this page helpful?
⌘I